import { ecs } from "../../../../../extensions/oops-plugin-framework/assets/libs/ecs/ECS";





@ecs.register('ObstacleModel')
export class ObstacleModelComp extends ecs.Comp {


    private vm: any = {};

    private _type: number = 1

    /** 类型 */
    get type(): number {
        return this._type;
    }
    set type(value: number) {
        this._type = value;
    }

    // vmAdd() {
    //     VM.add(this.vm, "Grid");
    // }

    // vmRemove() {
    //     this.vm.reset();
    //     VM.remove("Grid");
    // }

    reset() {
        // this.vmRemove();
    }
}
